AC_DEFUN([AC_PY_CHECK_LIB],[ dnl
AC_MSG_CHECKING([Python module $1])
ac_lc_py_m=`echo $1 |tr . _`;
ac_lc_py_prog="try: import $1
except ImportError: print 'no'
except: print 'yes'
else: print 'yes'";
ac_lc_py_result=`$PYTHON -c "$ac_lc_py_prog"`;
test "$?" != "0" && ac_lc_py_result=no;
eval ac_lc_py_have_${ac_lc_py_m}=$ac_lc_py_result;
AC_MSG_RESULT([$ac_lc_py_result])
eval HAVE_PY_LIB_${ac_lc_py_m}=\$ac_lc_py_have_${ac_lc_py_m};
])


dnl wrapper for AC_PY_CHECK_LIB 
dnl that aborts the configure if
AC_DEFUN([AC_PY_CHECK_REQUIRED], [dnl
AC_PY_CHECK_LIB([$1])
ac_lc_py_m=`echo $1 |tr . _`;
if eval test \$HAVE_PY_LIB_${ac_lc_py_m} != yes; then
{
    echo "$1 is a required module... aborting.";
    exit 1
}
fi;
])

AC_DEFUN([AM_PY_GETTEXT],
[
  AC_REQUIRE([AM_PO_SUBDIRS])dnl

  dnl Set USE_NLS.
  AM_NLS
  POSUB=

  if test "$USE_NLS" = "yes"; then
    AC_PY_CHECK_LIB([gettext])
    if test "$HAVE_PY_LIB_gettext" = "no" ; then
      USE_NLS=no
    fi
  fi

  if test "$USE_NLS" = "yes"; then
    POSUB=po
  fi

  AC_SUBST(POSUB)
])

